#!/bin/bash

##例えば東京(x)と名古屋(y)について同日の気温をプロットする

awk '
BEGIN{
	FS=",";
	OFS="\t";
}
{
	if($1 =="TOKYO")	TOKYO[$2] = $3;
	else if($1 =="NAGOYA")	NAGOYA[$2] = $3;
}
END{
	for(key in TOKYO){
		print(key , TOKYO[key],NAGOYA[key]) | "sort -n -k1";
	}
}
' JAPAN_name_del_TEMP.dat > TOKYO_NAGOYA_TEMP.dat


##描画
##明らかな正の相関が見える
gnuplot <<EOF
set terminal postscript eps enhanced color
set output "TOKYO_NAGOYA_TEMP.eps"
set size 0.6,0.6
#
set xlabel "TOKYO"
set ylabel "NAGOYA"
plot "TOKYO_NAGOYA_TEMP.dat" u 2:3 w p pt 7 noti
EOF


##温度を一度ごとにわけて平均と標準偏差を表示する方法
awk '
{
TOKYO = int($2 + 0.5);
sum[TOKYO] += $3;
sum2[TOKYO] += $3 * $3;
count[TOKYO] += 1;
}
END{
for(key in count){
ave = sum[key] / count[key];
std = sum2[key]/count[key] - ave * ave;
print(key , ave, std) | "sort -n -k1" ;
}
}
' TOKYO_NAGOYA_TEMP.dat > TOKYO_NAGOYA_TEMP_avestd.dat



gnuplot <<EOF
set terminal postscript eps enhanced color
set output "TOKYO_NAGOYA_TEMP_avestd.eps"
set size 0.6,0.6
#
set xlabel "TOKYO"
set ylabel "NAGOYA"
plot "TOKYO_NAGOYA_TEMP_avestd.dat" u 1:2:3 w yerrorbars noti
EOF


##

